Accomplishments
- Measurement afterburners in
meas_basehave been refactored into a new plugin system. (DM-4887) - An investigation into Cython and
pybind11as a replacement for SWIG has now completed with the conclusion thatpybind11looks very promising. (DM-5471, DM-5676) -
validate_drphas been updated to use well-motivated theoretical fits to the astrometric and photometric performance measurements based on derivations from the LSST Overview paper. (DM-5660)
Documentation
- DMTN-007: Dipole characterization for image differencing.
-
DMTN-008: Introducing
validate_drp: Calculate SRD Key Performance Metrics for an output repository. - DMTN-013: Wrapping C++ with Cython.
- DMTN-014: Wrapping C++ with pybind11.
RFC Activity
-
RFC-171: PROPOSED Add
pipe_driverstolsst_distrib. -
RFC-170: IMPLEMENTED Add a 3rd Party package for Erin Sheldon’s
ngmixGitHub repository. - RFC-169: ADOPTED Implement HSC-like stack provenance.
Other Items
- The
jointcalpackage, a port ofmeas_simastrom, can now be built and is undergoing testing. (DM-5133) -
meas_extensions_simpleShapehas been released. (DM-5682) - A new mapping has been written for the Starlink AST library that outputs a unit vector and norm relative to a specified center. This is part of the investigation into WCS libraries. (DM-5702)
- The
ngmixPython package has been added as a third-party package. (DM-2253)